fop 1.1

## org.apache.fop.fo.properties
Class FontShorthandProperty

    java.lang.Object
      org.apache.fop.fo.properties.Property
          org.apache.fop.fo.properties.ListProperty
              org.apache.fop.fo.properties.FontShorthandProperty

    public class FontShorthandProperty

extends ListProperty

Property subclass for the font shorthand

Nested Class Summary
`static class` `FontShorthandProperty.Maker` Inner class for creating instances of FontShorthandProperty

Field Summary

Fields inherited from class org.apache.fop.fo.properties.ListProperty
`list`

Fields inherited from class org.apache.fop.fo.properties.Property
`log`

Constructor Summary
`FontShorthandProperty()`

Method Summary

Methods inherited from class org.apache.fop.fo.properties.ListProperty
`addProperty, equals, getList, getObject, hashCode`

Methods inherited from class org.apache.fop.fo.properties.Property
`getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FontShorthandProperty

    public FontShorthandProperty()

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.